MacDraftParserInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MacDraftParserInternal::Shape Struct Reference

generic class used to store shape in MWAWDraftParser More...

## Public Types
enum | Type { Basic, Bitmap, Group, Label, Text, Unknown }
| the different shape More...

## Public Member Functions
| Shape ()
| constructor More...
MWAWBox2f | getBdBox () const
| return the shape bdbox More...
void | translate (MWAWVec2f const &dir)
| translate a shape More...
void | transform (float rotate, bool flipX, MWAWVec2f const &center)
| transform a shape More...

## Static Public Member Functions
static MWAWBox2f | rotateBox (MWAWBox2f const &box, float angle, MWAWVec2f const &center)
| returns the rotation of a box More...

## Public Attributes
Type | m_type
| the graphic type More...
MWAWBox2f | m_box
| the shape bdbox More...
MWAWVec2f | m_origin
| the shape origin More...
MWAWGraphicStyle | m_style
| the graphic style More...
int | m_patternId
| the pattern id More...
MWAWGraphicShape | m_shape
| the graphic shape ( for basic geometric form ) More...
bool | m_isLine
| flag to know if the shape is a line More...
int | m_id
| the shape id More...
int | m_nextId
| the following id (if set) More...
MWAWFont | m_font
| the font ( for a text box) More...
MWAWParagraph | m_paragraph
| the paragraph ( for a text box) More...
MWAWEntry | m_textEntry
| the textbox entry (main text) More...
float | m_labelWidth
| the 1D label width in point More...
std::vector< size_t > | m_childList
| the child list ( for a group ) More...
std::vector< unsigned long > | m_bitmapIdList
| the list of bitmap id ( for a bitmap) More...
std::vector< MWAWBox2i > | m_bitmapDimensionList
| the list of bitmap dimension ( for a bitmap) More...
bool | m_isSent
| a flag used to know if the object is sent to the listener or not More...

## Detailed Description

generic class used to store shape in MWAWDraftParser

## Member Enumeration Documentation

## ◆ Type

enum MacDraftParserInternal::Shape::Type

the different shape

Enumerator
Basic |
Bitmap |
Group |
Label |
Text |
Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

MacDraftParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f MacDraftParserInternal::Shape::getBdBox | ( |  | ) | const
| inline

return the shape bdbox

Referenced by MacDraftParser::readObject(), and MacDraftParser::send().

## ◆ rotateBox()

static MWAWBox2f MacDraftParserInternal::Shape::rotateBox | ( | MWAWBox2f const & | box,
|  | float | angle,
|  | MWAWVec2f const & | center
| ) |  |
| inlinestatic

returns the rotation of a box

## ◆ transform()

void MacDraftParserInternal::Shape::transform | ( | float | rotate,
|  | bool | flipX,
|  | MWAWVec2f const & | center
| ) |  |
| inline

transform a shape

Referenced by MacDraftParser::readObject().

## ◆ translate()

void MacDraftParserInternal::Shape::translate | ( | MWAWVec2f const & | dir | ) |
| inline

translate a shape

Referenced by MacDraftParser::readObject().

## Member Data Documentation

## ◆ m_bitmapDimensionList

std::vector<MWAWBox2i> MacDraftParserInternal::Shape::m_bitmapDimensionList

the list of bitmap dimension ( for a bitmap)

Referenced by MacDraftParser::readBitmapDefinition(), and MacDraftParser::sendBitmap().

## ◆ m_bitmapIdList

std::vector<unsigned long> MacDraftParserInternal::Shape::m_bitmapIdList

the list of bitmap id ( for a bitmap)

Referenced by MacDraftParser::readBitmapDefinition(), and MacDraftParser::sendBitmap().

## ◆ m_box

MWAWBox2f MacDraftParserInternal::Shape::m_box

the shape bdbox

Referenced by MacDraftParser::readLabel(), and MacDraftParser::readObject().

## ◆ m_childList

std::vector<size_t> MacDraftParserInternal::Shape::m_childList

the child list ( for a group )

Referenced by MacDraftParser::send().

## ◆ m_font

MWAWFont MacDraftParserInternal::Shape::m_font

the font ( for a text box)

Referenced by MacDraftParser::readLabel(), and MacDraftParser::readObject().

## ◆ m_id

int MacDraftParserInternal::Shape::m_id

the shape id

Referenced by MacDraftParser::readLabel(), MacDraftParser::readObject(), and MacDraftParser::send().

## ◆ m_isLine

bool MacDraftParserInternal::Shape::m_isLine

flag to know if the shape is a line

Referenced by MacDraftParser::readObject().

## ◆ m_isSent

bool MacDraftParserInternal::Shape::m_isSent
| mutable

a flag used to know if the object is sent to the listener or not

Referenced by MacDraftParser::parse(), MacDraftParser::send(), and MacDraftParser::sendBitmap().

## ◆ m_labelWidth

float MacDraftParserInternal::Shape::m_labelWidth

the 1D label width in point

## ◆ m_nextId

int MacDraftParserInternal::Shape::m_nextId

the following id (if set)

Referenced by MacDraftParser::parse(), MacDraftParser::readLabel(), and MacDraftParser::readObject().

## ◆ m_origin

MWAWVec2f MacDraftParserInternal::Shape::m_origin

the shape origin

## ◆ m_paragraph

MWAWParagraph MacDraftParserInternal::Shape::m_paragraph

the paragraph ( for a text box)

Referenced by MacDraftParser::readLabel(), and MacDraftParser::readObject().

## ◆ m_patternId

int MacDraftParserInternal::Shape::m_patternId

the pattern id

Referenced by MacDraftParser::readObject(), and MacDraftParser::send().

## ◆ m_shape

MWAWGraphicShape MacDraftParserInternal::Shape::m_shape

the graphic shape ( for basic geometric form )

Referenced by MacDraftParser::readObject(), and MacDraftParser::send().

## ◆ m_style

MWAWGraphicStyle MacDraftParserInternal::Shape::m_style

the graphic style

Referenced by MacDraftParser::readLabel(), MacDraftParser::readObject(), and MacDraftParser::send().

## ◆ m_textEntry

MWAWEntry MacDraftParserInternal::Shape::m_textEntry

the textbox entry (main text)

Referenced by MacDraftParser::readObject().

## ◆ m_type

Type MacDraftParserInternal::Shape::m_type

the graphic type

Referenced by MacDraftParser::readLabel(), MacDraftParser::readObject(), and MacDraftParser::send().

The documentation for this struct was generated from the following file:

- MacDraftParser.cxx